# Uses of Class
org.mariadb.jdbc.BasePreparedStatement

Packages that use BasePreparedStatement
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.export

## Uses of BasePreparedStatement in org.mariadb.jdbc

Subclasses of BasePreparedStatement in org.mariadb.jdbc
Modifier and Type
Class
Description
`class`
`BaseCallableStatement`
Common methods for function/stored procedure
`class`
`ClientPreparedStatement`
Client side prepare statement.
`class`
`FunctionStatement`
Function callable statement implementation
`class`
`ProcedureStatement`
Procedure callable statement
`class`
`ServerPreparedStatement`
Server prepare statement.

## Uses of BasePreparedStatement in org.mariadb.jdbc.export

Methods in org.mariadb.jdbc.export with parameters of type BasePreparedStatement
Modifier and Type
Method
Description
`void`
Prepare.`decrementUse(org.mariadb.jdbc.client.Client con, BasePreparedStatement preparedStatement)`
Decrement use of prepare.